<?php

namespace Sibs\Stargate\Constants;

defined('ABSPATH') || exit;

class PaymentTypes implements ConstantsInterface
{
    public const AUTH = 'AUTH';
    public const PREF = 'PREF';
    public const PURS = 'PURS';
    public const CAPT = 'CAPT';
    public const RFND = 'RFND';
    public const RVSL = 'RVSL';
    public const RCON = 'RCON';
    public const CAUT = 'CAUT';
    public const CPRF = 'CPRF';
    public const STIQ = 'STIQ';

    /**
     * All.
     */
    public static function all(): array
    {
        return [
            self::AUTH,
            self::PREF,
            self::PURS,
            self::CAPT,
            self::RFND,
            self::RVSL,
            self::RCON,
            self::CAUT,
            self::CPRF,
            self::STIQ,
        ];
    }

    /**
     * Default.
     */
    public static function default(): mixed
    {
        return self::PURS;
    }
}
